/**
 * Simulation of memory management algorithms
 *
 * Ron Mak
 * Department of Computer Engineering
 * San Jose State University
 */
#ifndef SEGMENT_H_
#define SEGMENT_H_

#include <string>

using namespace std;

class Segment
{
public:
    Segment(int size, int n) : id(""), size(size), n(n) {}
    Segment(string id, int size) : id(id), size(size), n(-1) {}
    Segment(string id, int size, int n) : id(id), size(size), n(n) {}
    virtual ~Segment() {}

    string id;  // unique identifier
    int size;   // block size
    int n;      // starting block number
};

#endif /* SEGMENT_H_ */
